-- WORD List --
EXEC CTX_DDL.DROP_PREFERENCE('KOLAS2UP_CUT'); 
BEGIN 
CTX_DDL.CREATE_PREFERENCE('KOLAS2UP_CUT', 'BASIC_WORDLIST'); 
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_CUT','PREFIX_INDEX','FALSE');
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_CUT','PREFIX_INDEX','TRUE');
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_CUT','PREFIX_MIN_LENGTH', 2);
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_CUT','PREFIX_MAX_LENGTH', 20);
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_CUT','WILDCARD_MAXTERMS', '10000');
END;
/

-- Lexer --
EXEC CTX_DDL.DROP_PREFERENCE('KOLAS2UP_LEXER');
EXEC CTX_DDL.CREATE_PREFERENCE('KOLAS2UP_LEXER','BASIC_LEXER');

-- storage --
EXEC CTX_DDL.DROP_PREFERENCE('KOLAS2UP_TBS'); 
BEGIN
CTX_DDL.CREATE_PREFERENCE('KOLAS2UP_TBS', 'BASIC_STORAGE');
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_TBS', 'I_TABLE_CLAUSE', 'TABLESPACE KOLAS2_INDEX STORAGE (INITIAL 10M)'); 
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_TBS', 'K_TABLE_CLAUSE', 'TABLESPACE KOLAS2_INDEX STORAGE (INITIAL 10M)'); 
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_TBS', 'R_TABLE_CLAUSE', 'TABLESPACE KOLAS2_INDEX STORAGE (INITIAL 10M)'); 
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_TBS', 'N_TABLE_CLAUSE', 'TABLESPACE KOLAS2_INDEX STORAGE (INITIAL 10M)'); 
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_TBS', 'I_INDEX_CLAUSE', 'TABLESPACE KOLAS2_INDEX STORAGE (INITIAL 10M)'); 
CTX_DDL.SET_ATTRIBUTE('KOLAS2UP_TBS', 'P_TABLE_CLAUSE', 'TABLESPACE KOLAS2_INDEX STORAGE (INITIAL 10M)'); 
END;
/

quit;