------------------------------------------------------------------------------
-- 
------------------------------------------------------------------------------
CREATE OR REPLACE VIEW ECO$V_BODDCCLASS$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_DDC_CLASS$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXALLITEM$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_ALL_ITEM$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXAUTHOR$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_AUTHOR$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXHOLDPLACE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_HOLD_PLACE$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXKEYWORD$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_KEYWORD$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXPLACE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_PLACE$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXPUBLISHER$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_PUBLISHER$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXSESHELFCODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_SE_SHELF_CODE$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

-- ߰ 
CREATE OR REPLACE VIEW ECO$V_BOIDXSUBJECT$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_SUBJECT$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXTITLE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_TITLE$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXVOL$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_VOL$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOIDXVOLTITLE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_IDX_VOL_TITLE$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOKDCCLASS$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_KDC_CLASS$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOLCCLASS$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_LC_CLASS$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOMANAGECODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_MANAGE_CODE$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOREGCODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_REG_CODE$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOSTCAN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_ST_CAN$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOSTCBN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_ST_CBN$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOSTCODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_ST_CODE$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOSTISSN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_ST_ISSN$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOSTSNSTRN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_ST_RNSTRN$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOSTSTRN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_ST_STRN$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOUSELIMITCODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BO_USE_LIMIT_CODE$I I, IDX_BO_TBL IB
WHERE IB.ROWID=I.DR$ROWID;



------------------------------------------------------------------------------
--  
------------------------------------------------------------------------------
CREATE OR REPLACE VIEW ECO$V_BOTOCIDXABSKEYWORD$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BOTOC_IDX_ABS_KEYWORD$I I, IDX_BO_TOC_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_BOTOCIDXTOCKEYWORD$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$BOTOC_IDX_TOC_KEYWORD$I I, IDX_BO_TOC_TBL IB
WHERE IB.ROWID=I.DR$ROWID;


------------------------------------------------------------------------------
-- 
------------------------------------------------------------------------------
CREATE OR REPLACE VIEW ECO$V_SEDDCCLASS$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_DDC_CLASS$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEIDXALLITEM$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_IDX_ALL_ITEM$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEIDXAUTHOR$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_IDX_AUTHOR$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEIDXHOLDPLACE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_IDX_HOLD_PLACE$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEIDXKEYWORD$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_IDX_KEYWORD$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEIDXPLACE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_IDX_PLACE$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEIDXPUBLISHER$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_IDX_PUBLISHER$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEIDXSESHELFCODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_IDX_SE_SHELF_CODE$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEIDXTITLE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_IDX_TITLE$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEKDCCLASS$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_KDC_CLASS$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SELCCLASS$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_LC_CLASS$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEMANAGECODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_MANAGE_CODE$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEREGCODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_REG_CODE$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SESTCAN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_ST_CAN$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SESTCBN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_ST_CBN$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SESTCODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_ST_CODE$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SESTCODEN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_ST_CODEN$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SESTISSN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_ST_ISSN$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SESTSNSTRN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_ST_RNSTRN$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SESTSTRN$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_ST_STRN$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEUSELIMITCODE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_USE_LIMIT_CODE$I I, IDX_SE_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SEVOLTITLE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SE_VOL_TITLE$I I, SE_VOL_TBL IB
WHERE IB.ROWID=I.DR$ROWID;


------------------------------------------------------------------------------
--  
------------------------------------------------------------------------------
CREATE OR REPLACE VIEW ECO$V_SETOCIDXABSKEYWORD$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SETOC_IDX_ABS_KEYWD$I I, IDX_SE_TOC_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SETOCIDXALLITEM$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SETOC_IDX_ALL_ITEM$I I, IDX_SE_TOC_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SETOCIDXARTICLE$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SETOC_IDX_ART$I I, IDX_SE_TOC_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SETOCIDXAUTHOR$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SETOC_IDX_ART_AUTHOR$I I, IDX_SE_TOC_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SETOCIDXKEYWORD$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SETOC_IDX_ART_KEYWORD$I I, IDX_SE_TOC_TBL IB
WHERE IB.ROWID=I.DR$ROWID;

CREATE OR REPLACE VIEW ECO$V_SETOCIDXTOCKEYWORD$I
(   ECO_KEY,
    TOKEN,
    TOKEN_TYPE
) AS SELECT IB.REC_KEY,
       I.DR$TOKEN,
       DECODE(I.DR$TOKEN_TYPE,6,'S','F')
FROM DR$SETOC_IDX_ART_TOC_KW$I I, IDX_SE_TOC_TBL IB
WHERE IB.ROWID=I.DR$ROWID;


------------------------------------------------------------------------------
-- պ
------------------------------------------------------------------------------
CREATE OR REPLACE VIEW ECO$T_IDXTITLE$I AS
SELECT * FROM ECO$V_BOIDXTITLE$I
union all
SELECT * FROM ECO$V_SEIDXTITLE$I
union all
SELECT * FROM ECO$V_SETOCIDXARTICLE$I;

CREATE OR REPLACE VIEW ECO$T_IDXKEYWORD$I AS
SELECT * FROM ECO$V_BOIDXKEYWORD$I
union all
SELECT * FROM ECO$V_SEIDXKEYWORD$I
union all
SELECT * FROM ECO$V_SETOCIDXKEYWORD$I;

CREATE OR REPLACE VIEW ECO$T_IDXAUTHOR$I AS
SELECT * FROM ECO$V_BOIDXAUTHOR$I
union all
SELECT * FROM ECO$V_SEIDXAUTHOR$I
union all
SELECT * FROM ECO$V_SETOCIDXAUTHOR$I;

CREATE OR REPLACE VIEW ECO$T_IDXPUBLISHER$I AS
SELECT * FROM ECO$V_BOIDXPUBLISHER$I
union all
SELECT * FROM ECO$V_SEIDXPUBLISHER$I;

CREATE OR REPLACE VIEW ECO$V_IDXALLITEM$I AS
SELECT * FROM ECO$V_BOIDXALLITEM$I
union all
SELECT * FROM ECO$V_SEIDXALLITEM$I
union all
SELECT * FROM ECO$V_SETOCIDXALLITEM$I;

CREATE OR REPLACE VIEW ECO$T_STCODE$I AS
SELECT * FROM ECO$V_BOSTCODE$I
union all
SELECT * FROM ECO$V_SESTCODE$I;

CREATE OR REPLACE VIEW ECO$T_STISSN$I AS
SELECT * FROM ECO$V_BOSTISSN$I
union all
SELECT * FROM ECO$V_SESTISSN$I;

CREATE OR REPLACE VIEW ECO$T_STSTRN$I AS
SELECT * FROM ECO$V_BOSTSTRN$I
union all
SELECT * FROM ECO$V_SESTSTRN$I;

CREATE OR REPLACE VIEW ECO$T_STSNSTRN$I AS
SELECT * FROM ECO$V_BOSTSNSTRN$I
union all
SELECT * FROM ECO$V_SESTSNSTRN$I;

CREATE OR REPLACE VIEW ECO$T_STCBN$I AS
SELECT * FROM ECO$V_BOSTCBN$I
union all
SELECT * FROM ECO$V_SESTCBN$I;

CREATE OR REPLACE VIEW ECO$T_STCAN$I AS
SELECT * FROM ECO$V_BOSTCAN$I
union all
SELECT * FROM ECO$V_SESTCAN$I;

CREATE OR REPLACE VIEW ECO$T_KDCCLASS$I AS
SELECT * FROM ECO$V_BOKDCCLASS$I
union all
SELECT * FROM ECO$V_SEKDCCLASS$I;

CREATE OR REPLACE VIEW ECO$T_DDCCLASS$I AS
SELECT * FROM ECO$V_BODDCCLASS$I
union all
SELECT * FROM ECO$V_SEDDCCLASS$I;

CREATE OR REPLACE VIEW ECO$T_LCCLASS$I AS
SELECT * FROM ECO$V_BOLCCLASS$I
union all
SELECT * FROM ECO$V_SELCCLASS$I;


--------------------------------------------------
--------------------------------------------------
--           PROCEDURE
--------------------------------------------------
--------------------------------------------------


CREATE OR REPLACE PROCEDURE ECO$P_MAKE_BO$I
  (s_key IN INTEGER, del_flag IN CHAR := 'Y')
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_MAKE_BO$I;
/

CREATE OR REPLACE PROCEDURE ECO$P_DELETE_BO$I
  (s_key IN INTEGER)
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_DELETE_BO$I;
/

CREATE OR REPLACE PROCEDURE ECO$P_MAKE_BOBOOK$I
  (b_key IN INTEGER, del_flag IN CHAR := 'Y')
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_MAKE_BOBOOK$I;
/

CREATE OR REPLACE PROCEDURE ECO$P_DELETE_BOBOOK$I
  (b_key IN INTEGER)
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_DELETE_BOBOOK$I;
/

-- <<<<<<<<< ECO$P_MAKE_SE$I >>>>>>>>>>>> 

CREATE OR REPLACE PROCEDURE ECO$P_MAKE_SE$I
  (s_key IN INTEGER, del_flag IN CHAR := 'Y')
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_MAKE_SE$I;
/

CREATE OR REPLACE PROCEDURE ECO$P_DELETE_SE$I
  (s_key IN INTEGER)
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_DELETE_SE$I;
/

CREATE OR REPLACE PROCEDURE ECO$P_MAKE_SEVOL$I
  (v_key IN INTEGER, del_flag IN CHAR := 'Y')
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_MAKE_SEVOL$I;
/

CREATE OR REPLACE PROCEDURE ECO$P_DELETE_SEVOL$I
  (v_key IN INTEGER)
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_DELETE_SEVOL$I;
/

-- <<<<<<<<< ECO$P_MAKE_BOTOC$I >>>>>>>>>>>> 

CREATE OR REPLACE PROCEDURE ECO$P_MAKE_BOTOC$I
  (s_key IN INTEGER, del_flag IN CHAR := 'Y')
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_MAKE_BOTOC$I;
/

CREATE OR REPLACE PROCEDURE ECO$P_DELETE_BOTOC$I
  (s_key IN INTEGER)
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_DELETE_BOTOC$I;
/

-- <<<<<<<<< ECO$P_MAKE_SETOC$I >>>>>>>>>>>> 

CREATE OR REPLACE PROCEDURE ECO$P_MAKE_SETOC$I
  (s_key IN INTEGER, del_flag IN CHAR := 'Y')
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_MAKE_SETOC$I;
/

CREATE OR REPLACE PROCEDURE ECO$P_DELETE_SETOC$I
  (s_key IN INTEGER)
IS
    -- ӽ
    S_TEMP INTEGER;
BEGIN
    S_TEMP := 1;
END ECO$P_DELETE_SETOC$I;
/


commit;
quit;