-------------------------------------------------------------------------------
-- IDX_BO_TBL () 
-------------------------------------------------------------------------------

 DROP INDEX BO_REG_CODE;
CREATE INDEX BO_REG_CODE ON IDX_BO_TBL(REG_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_USE_LIMIT_CODE;
CREATE INDEX BO_USE_LIMIT_CODE ON IDX_BO_TBL(USE_LIMIT_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_MANAGE_CODE;
CREATE INDEX BO_MANAGE_CODE ON IDX_BO_TBL(MANAGE_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_TITLE;
CREATE INDEX BO_IDX_TITLE ON IDX_BO_TBL(IDX_TITLE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_KEYWORD;
CREATE INDEX BO_IDX_KEYWORD ON IDX_BO_TBL(IDX_KEYWORD) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_AUTHOR;
CREATE INDEX BO_IDX_AUTHOR ON IDX_BO_TBL(IDX_AUTHOR) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_PUBLISHER;
CREATE INDEX BO_IDX_PUBLISHER ON IDX_BO_TBL(IDX_PUBLISHER) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_SUBJECT;
CREATE INDEX BO_IDX_SUBJECT ON IDX_BO_TBL(IDX_SUBJECT) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_ALL_ITEM;
CREATE INDEX BO_IDX_ALL_ITEM ON IDX_BO_TBL(IDX_ALL_ITEM) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_VOL;
CREATE INDEX BO_IDX_VOL ON IDX_BO_TBL(IDX_VOL) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_VOL_TITLE;
CREATE INDEX BO_IDX_VOL_TITLE ON IDX_BO_TBL(IDX_VOL_TITLE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_PLACE;
CREATE INDEX BO_IDX_PLACE ON IDX_BO_TBL(IDX_PLACE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_HOLD_PLACE;
CREATE INDEX BO_IDX_HOLD_PLACE ON IDX_BO_TBL(IDX_HOLD_PLACE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_IDX_SE_SHELF_CODE;
CREATE INDEX BO_IDX_SE_SHELF_CODE ON IDX_BO_TBL(IDX_SE_SHELF_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_ST_CODE;
CREATE INDEX BO_ST_CODE ON IDX_BO_TBL(ST_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_ST_ISSN;
CREATE INDEX BO_ST_ISSN ON IDX_BO_TBL(ST_ISSN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_ST_STRN;
CREATE INDEX BO_ST_STRN ON IDX_BO_TBL(ST_STRN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_ST_RNSTRN;
CREATE INDEX BO_ST_RNSTRN ON IDX_BO_TBL(ST_RNSTRN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_ST_CBN;
CREATE INDEX BO_ST_CBN ON IDX_BO_TBL(ST_CBN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_ST_CAN;
CREATE INDEX BO_ST_CAN ON IDX_BO_TBL(ST_CAN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_KDC_CLASS;
CREATE INDEX BO_KDC_CLASS ON IDX_BO_TBL(KDC_CLASS) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_DDC_CLASS;
CREATE INDEX BO_DDC_CLASS ON IDX_BO_TBL(DDC_CLASS) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BO_LC_CLASS;
CREATE INDEX BO_LC_CLASS ON IDX_BO_TBL(LC_CLASS) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');


-------------------------------------------------------------------------------
-- IDX_SE_TBL () 
-------------------------------------------------------------------------------

 DROP INDEX SE_REG_CODE;
CREATE INDEX SE_REG_CODE ON IDX_SE_TBL(REG_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_USE_LIMIT_CODE;
CREATE INDEX SE_USE_LIMIT_CODE ON IDX_SE_TBL(USE_LIMIT_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_MANAGE_CODE;
CREATE INDEX SE_MANAGE_CODE ON IDX_SE_TBL(MANAGE_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_IDX_TITLE;
CREATE INDEX SE_IDX_TITLE ON IDX_SE_TBL(IDX_TITLE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_IDX_KEYWORD;
CREATE INDEX SE_IDX_KEYWORD ON IDX_SE_TBL(IDX_KEYWORD) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_IDX_AUTHOR;
CREATE INDEX SE_IDX_AUTHOR ON IDX_SE_TBL(IDX_AUTHOR) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_IDX_PUBLISHER;
CREATE INDEX SE_IDX_PUBLISHER ON IDX_SE_TBL(IDX_PUBLISHER) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_IDX_ALL_ITEM;
CREATE INDEX SE_IDX_ALL_ITEM ON IDX_SE_TBL(IDX_ALL_ITEM) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_IDX_PLACE;
CREATE INDEX SE_IDX_PLACE ON IDX_SE_TBL(IDX_PLACE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_IDX_HOLD_PLACE;
CREATE INDEX SE_IDX_HOLD_PLACE ON IDX_SE_TBL(IDX_HOLD_PLACE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_IDX_SE_SHELF_CODE;
CREATE INDEX SE_IDX_SE_SHELF_CODE ON IDX_SE_TBL(IDX_SE_SHELF_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_ST_CODE;
CREATE INDEX SE_ST_CODE ON IDX_SE_TBL(ST_CODE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_ST_ISSN;
CREATE INDEX SE_ST_ISSN ON IDX_SE_TBL(ST_ISSN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_ST_STRN;
CREATE INDEX SE_ST_STRN ON IDX_SE_TBL(ST_STRN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_ST_RNSTRN;
CREATE INDEX SE_ST_RNSTRN ON IDX_SE_TBL(ST_RNSTRN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_ST_CBN;
CREATE INDEX SE_ST_CBN ON IDX_SE_TBL(ST_CBN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_ST_CAN;
CREATE INDEX SE_ST_CAN ON IDX_SE_TBL(ST_CAN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_ST_CODEN;
CREATE INDEX SE_ST_CODEN ON IDX_SE_TBL(ST_CODEN) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_KDC_CLASS;
CREATE INDEX SE_KDC_CLASS ON IDX_SE_TBL(KDC_CLASS) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_DDC_CLASS;
CREATE INDEX SE_DDC_CLASS ON IDX_SE_TBL(DDC_CLASS) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_LC_CLASS;
CREATE INDEX SE_LC_CLASS ON IDX_SE_TBL(LC_CLASS) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');


-------------------------------------------------------------------------------
-- IDX_BO_TOC_TBL () 
-------------------------------------------------------------------------------

 DROP INDEX BOTOC_IDX_TOC_KEYWORD;
CREATE INDEX BOTOC_IDX_TOC_KEYWORD ON IDX_BO_TOC_TBL(IDX_TOC_KEYWORD) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX BOTOC_IDX_ABS_KEYWORD;
CREATE INDEX BOTOC_IDX_ABS_KEYWORD ON IDX_BO_TOC_TBL(IDX_ABS_KEYWORD) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');


-------------------------------------------------------------------------------
-- IDX_SE_TOC_TBL () 
-------------------------------------------------------------------------------

 DROP INDEX SETOC_IDX_ART;
CREATE INDEX SETOC_IDX_ART ON IDX_SE_TOC_TBL(IDX_ARTICLE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SETOC_IDX_ART_AUTHOR;
CREATE INDEX SETOC_IDX_ART_AUTHOR ON IDX_SE_TOC_TBL(IDX_ARTICLE_AUTHOR) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SETOC_IDX_ART_KEYWORD;
CREATE INDEX SETOC_IDX_ART_KEYWORD ON IDX_SE_TOC_TBL(IDX_ARTICLE_KEYWORD) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SETOC_IDX_ART_TOC_KW;
CREATE INDEX SETOC_IDX_ART_TOC_KW ON IDX_SE_TOC_TBL(IDX_ARTICLE_TOC_KEYWORD) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SETOC_IDX_ABS_KEYWD;
CREATE INDEX SETOC_IDX_ABS_KEYWD ON IDX_SE_TOC_TBL(IDX_ABS_KEYWORD) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SETOC_IDX_ALL_ITEM;
CREATE INDEX SETOC_IDX_ALL_ITEM ON IDX_SE_TOC_TBL(IDX_ALL_ITEM) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

 DROP INDEX SE_VOL_TITLE;
CREATE INDEX SE_VOL_TITLE ON SE_VOL_TBL(IDX_VOL_TITLE) INDEXTYPE IS CTXSYS.CTXCAT PARAMETERS('WORDLIST KOLAS2UP_CUT LEXER KOLAS2UP_LEXER STORAGE KOLAS2UP_TBS');

commit;
quit;
