CREATE OR REPLACE VIEW OC3.LH_STORAGE_V01
(   REC_KEY,
    PUBLISH_FORM_CODE,
    BOOK_KEY,
    USER_KEY,
    LOAN_KEY,
    LOAN_TYPE_CODE,
    RETURN_TYPE_CODE,
    LOAN_DATE,
    RETURN_PLAN_DATE,
    RESERVATION_DATE,
    RESERVATION_EXPIRE_DATE,
    RETURN_DATE,
    STATUS,
    SHELF_LOC_CODE,
    ARREAR,
    REPARATION,
    CLASS_NO_TYPE,
    CLASS_NO,
    MANAGE_CODE,
    REG_CODE,
    MEMBER_CLASS,
    SPECIES_KEY,
    SEPARATE_SHELF_CODE,
    REG_NO,
    TITLE,
    AUTHOR,
    PUBLISHER,
    CALL_NO,
    DELAY_CNT,
    RESERVE_CANCEL_DATE,
    DELAY_RETURN_DATE,
    PRE_RETURN_PLAN_DATE,
    SELF_RETURN_STATION,
    SELF_RETURN_DOOR,
    SELF_LOAN_STATION,
    LOAN_MANAGE_CODE,
    RETURN_MANAGE_CODE,
    VOL_INFO,
    RECEIPT_LOAN_KEY,
    RECEIPT_RETURN_KEY,
    RECEIPT_PRINT_LOAN_YN,
    RECEIPT_PRINT_RETURN_YN,
    NIGHT_RESERVATION_LOAN,
    UNMANNED_RESERVATION_LOAN,
    RESERVATION_CANCEL_TYPE,
    PREENGAGE_CANCEL_LIMIT_COUNT,
    PREENGAGE_CANCEL_LIMIT_PERIOD,
    USER_CLASS_CODE,
    USER_POSITION_CODE,
    REQUEST_LIB_CODE,
    FIRST_WORK,
    LAST_WORK,
    L_DEVICE,
    R_DEVICE,
    L_WORKER,
    R_WORKER
)
AS
(SELECT REC_KEY ,
               PUBLISH_FORM_CODE ,
               BOOK_KEY ,
               USER_KEY ,
               LOAN_KEY ,
               LOAN_TYPE_CODE ,
               RETURN_TYPE_CODE ,
               LOAN_DATE ,
               RETURN_PLAN_DATE ,
               RESERVATION_DATE ,
               RESERVATION_EXPIRE_DATE ,
               RETURN_DATE ,
               STATUS ,
               SHELF_LOC_CODE ,
               ARREAR ,
               REPARATION ,
               CLASS_NO_TYPE ,
               CLASS_NO ,
               MANAGE_CODE ,
               REG_CODE ,
               MEMBER_CLASS ,
               SPECIES_KEY ,
               SEPARATE_SHELF_CODE ,
               REG_NO ,
               TITLE ,
               AUTHOR ,
               PUBLISHER ,
               CALL_NO ,
               DELAY_CNT ,
               RESERVE_CANCEL_DATE ,
               DELAY_RETURN_DATE ,
               PRE_RETURN_PLAN_DATE ,
               SELF_RETURN_STATION ,
               SELF_RETURN_DOOR ,
               SELF_LOAN_STATION ,
               LOAN_MANAGE_CODE ,
               RETURN_MANAGE_CODE ,
               VOL_INFO ,
               RECEIPT_LOAN_KEY ,
               RECEIPT_RETURN_KEY ,
               RECEIPT_PRINT_LOAN_YN ,
               RECEIPT_PRINT_RETURN_YN ,
               NIGHT_RESERVATION_LOAN ,
               UNMANNED_RESERVATION_LOAN ,
               RESERVATION_CANCEL_TYPE ,
               PREENGAGE_CANCEL_LIMIT_COUNT ,
               PREENGAGE_CANCEL_LIMIT_PERIOD ,
               USER_CLASS_CODE ,
               USER_POSITION_CODE ,
               REQUEST_LIB_CODE ,
               FIRST_WORK ,
               LAST_WORK,
               L_DEVICE,
               R_DEVICE,
               L_WORKER,
               R_WORKER
        FROM   KOLAS.CO_LOAN_TBL
        WHERE  STATUS IN ('1', '4', 'R')
        UNION
SELECT REC_KEY ,
               PUBLISH_FORM_CODE ,
               BOOK_KEY ,
               USER_KEY ,
               LOAN_KEY ,
               LOAN_TYPE_CODE ,
               RETURN_TYPE_CODE ,
               LOAN_DATE ,
               RETURN_PLAN_DATE ,
               RESERVATION_DATE ,
               RESERVATION_EXPIRE_DATE ,
               RETURN_DATE ,
               STATUS ,
               SHELF_LOC_CODE ,
               ARREAR ,
               REPARATION ,
               CLASS_NO_TYPE ,
               CLASS_NO ,
               MANAGE_CODE ,
               REG_CODE ,
               MEMBER_CLASS ,
               SPECIES_KEY ,
               SEPARATE_SHELF_CODE ,
               REG_NO ,
               TITLE ,
               AUTHOR ,
               PUBLISHER ,
               CALL_NO ,
               DELAY_CNT ,
               RESERVE_CANCEL_DATE ,
               DELAY_RETURN_DATE ,
               PRE_RETURN_PLAN_DATE ,
               SELF_RETURN_STATION ,
               SELF_RETURN_DOOR ,
               SELF_LOAN_STATION ,
               LOAN_MANAGE_CODE ,
               RETURN_MANAGE_CODE ,
               VOL_INFO ,
               RECEIPT_LOAN_KEY ,
               RECEIPT_RETURN_KEY ,
               RECEIPT_PRINT_LOAN_YN ,
               RECEIPT_PRINT_RETURN_YN ,
               NIGHT_RESERVATION_LOAN ,
               UNMANNED_RESERVATION_LOAN ,
               RESERVATION_CANCEL_TYPE ,
               PREENGAGE_CANCEL_LIMIT_COUNT ,
               PREENGAGE_CANCEL_LIMIT_PERIOD ,
               USER_CLASS_CODE ,
               USER_POSITION_CODE ,
               REQUEST_LIB_CODE ,
               FIRST_WORK ,
               LAST_WORK,
               L_DEVICE,
               R_DEVICE,
               L_WORKER,
               R_WORKER
        FROM   KOLAS.LS_WORK_T01
        WHERE  STATUS='1'
        AND    R_DEVICE IN ('KOLASIII', 'KOLASIII-̵', 'KOLASYS', 'SMARTID')
        UNION
SELECT REC_KEY ,
               PUBLISH_FORM_CODE ,
               BOOK_KEY ,
               USER_KEY ,
               LOAN_KEY ,
               LOAN_TYPE_CODE ,
               RETURN_TYPE_CODE ,
               LOAN_DATE ,
               RETURN_PLAN_DATE ,
               RESERVATION_DATE ,
               RESERVATION_EXPIRE_DATE ,
               RETURN_DATE ,
               STATUS ,
               SHELF_LOC_CODE ,
               ARREAR ,
               REPARATION ,
               CLASS_NO_TYPE ,
               CLASS_NO ,
               MANAGE_CODE ,
               REG_CODE ,
               MEMBER_CLASS ,
               SPECIES_KEY ,
               SEPARATE_SHELF_CODE ,
               REG_NO ,
               TITLE ,
               AUTHOR ,
               PUBLISHER ,
               CALL_NO ,
               DELAY_CNT ,
               RESERVE_CANCEL_DATE ,
               DELAY_RETURN_DATE ,
               PRE_RETURN_PLAN_DATE ,
               SELF_RETURN_STATION ,
               SELF_RETURN_DOOR ,
               SELF_LOAN_STATION ,
               LOAN_MANAGE_CODE ,
               RETURN_MANAGE_CODE ,
               VOL_INFO ,
               RECEIPT_LOAN_KEY ,
               RECEIPT_RETURN_KEY ,
               RECEIPT_PRINT_LOAN_YN ,
               RECEIPT_PRINT_RETURN_YN ,
               NIGHT_RESERVATION_LOAN ,
               UNMANNED_RESERVATION_LOAN ,
               RESERVATION_CANCEL_TYPE ,
               PREENGAGE_CANCEL_LIMIT_COUNT ,
               PREENGAGE_CANCEL_LIMIT_PERIOD ,
               USER_CLASS_CODE ,
               USER_POSITION_CODE ,
               REQUEST_LIB_CODE ,
               FIRST_WORK ,
               LAST_WORK,
               L_DEVICE,
               R_DEVICE,
               L_WORKER,
               R_WORKER
        FROM   KOLAS.LS_WORK_T01
        WHERE  STATUS <> '1' );

CREATE SYNONYM KOLAS.LH_STORAGE_V01 FOR OC3.LH_STORAGE_V01;

CREATE SYNONYM SMARTID.LH_STORAGE_V01 FOR OC3.LH_STORAGE_V01;
